Subject: Re: bug#50067: Context menus

From: Eli Zaretskii <[email-masked]>
Date: Tue, 31 Aug 2021 21:58:37 +0300

> From: Juri Linkov <[email-masked]>
> Cc: Alan Third <[email-masked]>,  Mattias Engdegård
>  <[email-masked]>,
>   Lars Ingebrigtsen <[email-masked]>,  [email-masked],  Eli
>  Zaretskii <[email-masked]>
> Date: Tue, 31 Aug 2021 20:43:36 +0300
> 
> >>> ** no multiple horizontal lines
> >>>
> >>> Sometimes I see double lines on the context menu.  I think that there is
> >>> no useful case to have double lines.  To allow only one horizontal line
> >>> would look cool.
> >>
> >> Right, double separators should be removed.
> >
> > OK.
> 
> This is not easy to do.  Because there are menu-items
> that use the filter :visible, e.g.:

Can I ask why do we need the separators in the context menus?  Why not
remove them all, unconditionally?